<template>
<nav class="navbar" role="navigation" aria-label="main navigation">
  <div class="navbar-brand">
    <a class="navbar-item" href="/">

    <img src="@/assets/logo.png" >
      <h1 style="margin-left: 0.5em"><strong>MessEnkrypt</strong></h1>
    </a>

    <a role="button" class="navbar-burger burger" aria-label="menu" aria-expanded="false" data-target="navbarBasicExample" v-on:click="showNav = !showNav" v-bind:class="{ 'is-active' : showNav }">
      <span aria-hidden="true"></span>
      <span aria-hidden="true"></span>
      <span aria-hidden="true"></span>
    </a>
  </div>

  <div id="navbarBasicExample" class="navbar-menu" v-bind:class="{ 'is-active' : showNav }">
    <div class="navbar-start">

      <router-link class="navbar-item" to="/">
         {{ $t("home.link") }}
      </router-link>
      
      <div class="navbar-item has-dropdown is-hoverable">
        <span class="navbar-link">Beta</span>
        <div class="navbar-dropdown">
	  <router-link class="navbar-item" to="/beta/register">
           {{ $t('RegisterBeta.title') }}
	  </router-link>
	  <router-link class="navbar-item" to="/beta/unregister">
	         {{ $t('UnRegisterBeta.title') }}
	  </router-link>
	  <router-link class="navbar-item" to="/beta/report">
	           {{ $t('SendBug.title') }}
	  </router-link>
	</div>
      </div>

     <router-link class="navbar-item" to="/demo">
         {{ $t("Bot.link") }}
      </router-link>

      <router-link class="navbar-item" to="/downloads">
         {{ $t("downloads.title") }}
      </router-link>

      <!--<router-link class="navbar-item" to="/about">
         {{ $t("about.link") }}
      </router-link>-->

      <div class="locale-changer navbar-item">
	<select v-model="$i18n.locale">
	  <option v-for="(lang, i) in langs" :key="`Lang${i}`" :value="lang">{{ lang }}</option>
	</select>
	  </div>
    </div>
   </div>
</nav>
</template>

<script>
export default {
    name: 'locale-changer',
    data() {
        return {
            showNav: false,
	    langs: ['fr', 'en']
        }
    }
}
</script>
